GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Classes | Public Slots | Signals | Public Member Functions | Protected Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
GpgFrontend::UI::MainWindow Class Reference
Inheritance diagram for GpgFrontend::UI::MainWindow:
Collaboration diagram for GpgFrontend::UI::MainWindow:

## Classes
struct | CryptoMenu

## Public Slots
void | SlotSetStatusBarText (const QString &text)
void | SlotOpenFile (QString &path)
void | SlotFileEncrypt ()
void | SlotFileDecrypt ()
void | SlotFileSign ()
void | SlotFileVerify ()
void | SlotFileEncryptSign ()
void | SlotFileDecryptVerify ()
void | SlotSetRestartNeeded (int)

## Signals
void | SignalLoaded ()
void | SignalRestartApplication (int)

## Public Member Functions
void | Init () noexcept
void | SetCryptoMenuStatus (CryptoMenu::OperationType type)
Public Member Functions inherited from GpgFrontend::UI::GeneralMainWindow
| GeneralMainWindow (std::string name, QWidget *parent=nullptr)

## Protected Member Functions
void | closeEvent (QCloseEvent *event) override
Protected Member Functions inherited from GpgFrontend::UI::GeneralMainWindow
void | closeEvent (QCloseEvent *event) override

## Private Slots
void | slot_encrypt ()
void | slot_encrypt_sign ()
void | slot_decrypt ()
void | slot_sign ()
void | slot_verify ()
void | slot_decrypt_verify ()
void | slot_show_key_details ()
void | refresh_keys_from_key_server ()
void | upload_key_to_server ()
void | slot_find ()
void | slot_start_wizard ()
void | slot_import_key_from_edit ()
void | slot_append_selected_keys ()
void | slot_append_keys_create_datetime ()
void | slot_append_keys_expire_datetime ()
void | slot_append_keys_fingerprint ()
void | slot_copy_mail_address_to_clipboard ()
void | slot_copy_default_uid_to_clipboard ()
void | slot_copy_key_id_to_clipboard ()
void | slot_open_key_management ()
void | slot_open_file_tab ()
void | slot_open_settings_dialog ()
void | slot_clean_double_line_breaks ()
void | slot_cut_pgp_header ()
void | slot_add_pgp_header ()
void | slot_disable_tab_actions (int number)
void | slot_version_upgrade (const SoftwareVersion &version)

## Private Member Functions
void | create_actions ()
void | create_menus ()
void | create_tool_bars ()
void | create_status_bar ()
void | create_dock_windows ()
void | create_attachment_dock ()
void | close_attachment_dock ()
void | restore_settings ()
void | save_settings ()
int | get_restart_needed () const
| return true, if restart is needed

## Private Attributes
TextEdit * | edit_ {}
| Tabwidget holding the edit-windows.
QMenu * | file_menu_ {}
| Submenu for file-operations.
QMenu * | edit_menu_ {}
| Submenu for text-operations.
QMenu * | crypt_menu_ {}
| Submenu for crypt-operations.
QMenu * | gpg_menu_ {}
| Submenu for help-operations.
QMenu * | help_menu_ {}
| Submenu for help-operations.
QMenu * | key_menu_ {}
| Submenu for key-operations.
QMenu * | view_menu_ {}
| Submenu for view operations.
QMenu * | import_key_menu_ {}
| Submenu for import operations.
QMenu * | steganography_menu_ {}
| Submenu for steganography operations.
QToolBar * | crypt_tool_bar_ {}
| Toolbar holding crypt actions.
QToolBar * | file_tool_bar_ {}
| Toolbar holding file actions.
QToolBar * | edit_tool_bar_ {}
| Toolbar holding edit actions.
QToolBar * | special_edit_tool_bar_ {}
| Toolbar holding special edit actions.
QToolBar * | key_tool_bar_ {}
| Toolbar holding key operations.
QToolButton * | import_button_ {}
| Tool button for import dropdown menu in toolbar.
QDockWidget * | key_list_dock_ {}
| Encrypt Dock.
QDockWidget * | attachment_dock_ {}
| Attachment Dock.
QDockWidget * | info_board_dock_ {}
QAction * | new_tab_act_ {}
| Action to create new tab.
QAction * | switch_tab_up_act_ {}
| Action to switch tab up.
QAction * | switch_tab_down_act_ {}
| Action to switch tab down.
QAction * | open_act_ {}
| Action to open file.
QAction * | browser_act_ {}
| Action to open file browser.
QAction * | save_act_ {}
| Action to save file.
QAction * | save_as_act_ {}
| Action to save file as.
QAction * | print_act_ {}
| Action to print.
QAction * | close_tab_act_ {}
| Action to print.
QAction * | quit_act_ {}
| Action to quit application.
QAction * | encrypt_act_ {}
| Action to encrypt text.
QAction * | encrypt_sign_act_ {}
| Action to encrypt and sign text.
QAction * | decrypt_verify_act_ {}
| Action to encrypt and sign text.
QAction * | decrypt_act_ {}
| Action to decrypt text.
QAction * | sign_act_ {}
| Action to sign text.
QAction * | verify_act_ {}
| Action to verify text.
QAction * | import_key_from_edit_act_ {}
| Action to import key from edit.
QAction * | clean_double_line_breaks_act_ {}
QAction * | gnupg_controller_open_act_ {}
QAction * | clean_gpg_password_cache_act_ {}
QAction * | reload_components_act_ {}
QAction * | restart_components_act_ {}
QAction * | append_selected_keys_act_ {}
| Action to append selected keys to edit.
QAction * | append_key_fingerprint_to_editor_act_ {}
QAction * | append_key_create_date_to_editor_act_ {}
QAction * | append_key_expire_date_to_editor_act_ {}
QAction * | copy_mail_address_to_clipboard_act_ {}
QAction * | copy_key_id_to_clipboard_act_ {}
QAction * | copy_key_default_uid_to_clipboard_act_ {}
QAction * | open_key_management_act_ {}
| Action to open key management.
QAction * | copy_act_ {}
| Action to copy text.
QAction * | quote_act_ {}
| Action to quote text.
QAction * | cut_act_ {}
| Action to cut text.
QAction * | paste_act_ {}
| Action to paste text.
QAction * | select_all_act_ {}
| Action to select whole text.
QAction * | find_act_ {}
| Action to find text.
QAction * | undo_act_ {}
| Action to undo last action.
QAction * | redo_act_ {}
| Action to redo last action.
QAction * | zoom_in_act_ {}
| Action to zoom in.
QAction * | zoom_out_act_ {}
| Action to zoom out.
QAction * | about_act_ {}
| Action to open about dialog.
QAction * | check_update_act_ {}
| Action to open about dialog.
QAction * | translate_act_ {}
| Action to open about dialog.
QAction * | gnupg_act_ {}
| Action to open about dialog.
QAction * | open_settings_act_ {}
| Action to open settings dialog.
QAction * | show_key_details_act_ {}
| Action to open key-details dialog.
QAction * | start_wizard_act_ {}
| Action to open the wizard.
QAction * | cut_pgp_header_act_ {}
| Action for cutting the PGP header.
QAction * | add_pgp_header_act_ {}
| Action for adding the PGP header.
QAction * | import_key_from_file_act_ {}
QAction * | import_key_from_clipboard_act_ {}
QAction * | import_key_from_key_server_act_ {}
QLabel * | status_bar_icon_ {}
KeyList * | m_key_list_ {}
InfoBoardWidget * | info_board_ {}
bool | attachment_dock_created_ {}
int | restart_needed_ {0}
bool | prohibit_update_checking_ = false

## Additional Inherited Members
Protected Attributes inherited from GpgFrontend::UI::GeneralMainWindow
QSize | icon_size_ {}
int | font_size_ {}
Qt::ToolButtonStyle | icon_style_

## Member Function Documentation

## ◆ close_attachment_dock()

void GpgFrontend::UI::MainWindow::close_attachment_dock | ( |  | ) |
| private

close attachment-dockwindow.

## ◆ closeEvent()

void GpgFrontend::UI::MainWindow::closeEvent | ( | QCloseEvent * | event | ) |
| override protected

Close event shows a save dialog, if there are unsaved documents on exit.

Parameters

  event |

## ◆ create_actions()

void GpgFrontend::UI::MainWindow::create_actions | ( |  | ) |
| private

Create actions for the main-menu and the context-menu of the keylist.

References about_act_, add_pgp_header_act_, append_selected_keys_act_, browser_act_, check_update_act_, clean_double_line_breaks_act_, close_tab_act_, copy_act_, copy_mail_address_to_clipboard_act_, cut_act_, cut_pgp_header_act_, decrypt_act_, decrypt_verify_act_, edit_, encrypt_act_, encrypt_sign_act_, find_act_, GpgFrontend::UI::CommonUtils::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::SingletonFunctionObject< GpgAdvancedOperator >::GetInstance(), gnupg_act_, import_key_from_edit_act_, GpgFrontend::GlobalSettingStation::LookupSettings(), new_tab_act_, open_act_, open_key_management_act_, open_settings_act_, paste_act_, print_act_, quit_act_, quote_act_, redo_act_, save_act_, save_as_act_, select_all_act_, show_key_details_act_, sign_act_, slot_add_pgp_header(), slot_append_selected_keys(), slot_clean_double_line_breaks(), slot_copy_default_uid_to_clipboard(), slot_copy_key_id_to_clipboard(), slot_copy_mail_address_to_clipboard(), slot_cut_pgp_header(), slot_decrypt(), slot_decrypt_verify(), slot_encrypt(), slot_encrypt_sign(), slot_find(), slot_import_key_from_edit(), slot_open_file_tab(), slot_open_key_management(), slot_open_settings_dialog(), slot_show_key_details(), slot_sign(), slot_start_wizard(), slot_verify(), GpgFrontend::UI::TextEdit::SlotCloseTab(), GpgFrontend::UI::TextEdit::SlotCopy(), GpgFrontend::UI::TextEdit::SlotCut(), GpgFrontend::UI::CommonUtils::SlotImportKeyFromClipboard(), GpgFrontend::UI::CommonUtils::SlotImportKeyFromFile(), GpgFrontend::UI::CommonUtils::SlotImportKeyFromKeyServer(), GpgFrontend::UI::TextEdit::SlotNewTab(), GpgFrontend::UI::TextEdit::SlotOpen(), GpgFrontend::UI::TextEdit::SlotPaste(), GpgFrontend::UI::TextEdit::SlotPrint(), GpgFrontend::UI::TextEdit::SlotQuote(), GpgFrontend::UI::TextEdit::SlotRedo(), GpgFrontend::UI::TextEdit::SlotSave(), GpgFrontend::UI::TextEdit::SlotSaveAs(), GpgFrontend::UI::TextEdit::SlotSelectAll(), GpgFrontend::UI::TextEdit::SlotSwitchTabDown(), GpgFrontend::UI::TextEdit::SlotSwitchTabUp(), GpgFrontend::UI::TextEdit::SlotUndo(), start_wizard_act_, switch_tab_down_act_, switch_tab_up_act_, translate_act_, undo_act_, verify_act_, zoom_in_act_, and zoom_out_act_.

## ◆ create_attachment_dock()

void GpgFrontend::UI::MainWindow::create_attachment_dock | ( |  | ) |
| private

Create attachment dock window.

## ◆ create_dock_windows()

void GpgFrontend::UI::MainWindow::create_dock_windows | ( |  | ) |
| private

Create keylist- and attachment-dockwindows.

References GpgFrontend::UI::KeyList::AddListGroupTab(), GpgFrontend::GpgKey::IsDisabled(), GpgFrontend::GpgKey::IsExpired(), GpgFrontend::GpgKey::IsPrivateKey(), GpgFrontend::GpgKey::IsRevoked(), key_list_dock_, and view_menu_.

## ◆ create_menus()

void GpgFrontend::UI::MainWindow::create_menus | ( |  | ) |
| private

create the menu of the main-window.

References about_act_, add_pgp_header_act_, browser_act_, check_update_act_, clean_double_line_breaks_act_, close_tab_act_, copy_act_, crypt_menu_, cut_act_, cut_pgp_header_act_, decrypt_act_, decrypt_verify_act_, edit_menu_, encrypt_act_, encrypt_sign_act_, file_menu_, find_act_, gnupg_act_, gpg_menu_, help_menu_, import_key_from_edit_act_, import_key_menu_, key_menu_, new_tab_act_, open_act_, open_key_management_act_, open_settings_act_, paste_act_, print_act_, quit_act_, quote_act_, redo_act_, save_act_, save_as_act_, select_all_act_, sign_act_, start_wizard_act_, steganography_menu_, translate_act_, undo_act_, verify_act_, view_menu_, zoom_in_act_, and zoom_out_act_.

## ◆ create_status_bar()

void GpgFrontend::UI::MainWindow::create_status_bar | ( |  | ) |
| private

Create statusbar of mainwindow.

## ◆ create_tool_bars()

void GpgFrontend::UI::MainWindow::create_tool_bars | ( |  | ) |
| private

Create edit-, crypt- and key-toolbars.

References browser_act_, clean_double_line_breaks_act_, copy_act_, crypt_tool_bar_, decrypt_act_, decrypt_verify_act_, edit_tool_bar_, encrypt_act_, encrypt_sign_act_, file_tool_bar_, import_button_, import_key_menu_, key_tool_bar_, new_tab_act_, open_act_, open_key_management_act_, paste_act_, quote_act_, save_act_, select_all_act_, sign_act_, special_edit_tool_bar_, verify_act_, and view_menu_.

## ◆ Init()

void GpgFrontend::UI::MainWindow::Init | ( |  | ) |
| noexcept

ONLY Called from main()

References GpgFrontend::SingletonFunctionObject< GpgAdvancedOperator >::GetInstance().

## ◆ refresh_keys_from_key_server

void GpgFrontend::UI::MainWindow::refresh_keys_from_key_server | ( |  | ) |
| private slot

Refresh key information of selected keys from default keyserver

References GpgFrontend::UI::KeyList::GetSelected().

## ◆ restore_settings()

void GpgFrontend::UI::MainWindow::restore_settings | ( |  | ) |
| private

Load settings from ini-file.

## ◆ save_settings()

void GpgFrontend::UI::MainWindow::save_settings | ( |  | ) |
| private

Save settings to ini-file.

Referenced by slot_open_settings_dialog().

## ◆ SetCryptoMenuStatus()

void GpgFrontend::UI::MainWindow::SetCryptoMenuStatus | ( | CryptoMenu::OperationType | type | ) |

refresh and enable specify crypto-menu actions.

References decrypt_act_, decrypt_verify_act_, encrypt_act_, encrypt_sign_act_, sign_act_, and verify_act_.

## ◆ slot_add_pgp_header

void GpgFrontend::UI::MainWindow::slot_add_pgp_header | ( |  | ) |
| private slot

Add PGP header and footer to current tab.

References GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::GpgConstants::PGP_CRYPT_BEGIN, GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_append_selected_keys

void GpgFrontend::UI::MainWindow::slot_append_selected_keys | ( |  | ) |
| private slot

Append the selected keys to currently active textedit.

References GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::SingletonFunctionObject< GpgKeyImportExporter >::GetInstance(), GpgFrontend::UI::KeyList::GetSelected(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_clean_double_line_breaks

void GpgFrontend::UI::MainWindow::slot_clean_double_line_breaks | ( |  | ) |
| private slot

Replace double linebreaks by single linebreaks in currently active tab.

References GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_copy_default_uid_to_clipboard

void GpgFrontend::UI::MainWindow::slot_copy_default_uid_to_clipboard | ( |  | ) |
| private slot

Copy the mailaddress of selected key to clipboard. Method for keylists contextmenu.

References GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKey(), and GpgFrontend::UI::KeyList::GetSelected().

Referenced by create_actions().

## ◆ slot_copy_key_id_to_clipboard

void GpgFrontend::UI::MainWindow::slot_copy_key_id_to_clipboard | ( |  | ) |
| private slot

Copy the mailaddress of selected key to clipboard. Method for keylists contextmenu.

References GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKey(), and GpgFrontend::UI::KeyList::GetSelected().

Referenced by create_actions().

## ◆ slot_copy_mail_address_to_clipboard

void GpgFrontend::UI::MainWindow::slot_copy_mail_address_to_clipboard | ( |  | ) |
| private slot

Copy the mailaddress of selected key to clipboard. Method for keylists contextmenu.

References GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKey(), and GpgFrontend::UI::KeyList::GetSelected().

Referenced by create_actions().

## ◆ slot_cut_pgp_header

void GpgFrontend::UI::MainWindow::slot_cut_pgp_header | ( |  | ) |
| private slot

Cut the existing PGP header and footer from current tab.

References GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::GpgConstants::PGP_CRYPT_BEGIN, GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_decrypt

void GpgFrontend::UI::MainWindow::slot_decrypt | ( |  | ) |
| private slot

Show a passphrase dialog and decrypt the text of currently active tab.

References GpgFrontend::check_gpg_error_2_err_code(), GpgFrontend::UI::TextEdit::CurTextPage(), GpgFrontend::GpgBasicOperator::Decrypt(), edit_, GpgFrontend::SingletonFunctionObject< GpgBasicOperator >::GetInstance(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), SlotFileDecrypt(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_decrypt_verify

void GpgFrontend::UI::MainWindow::slot_decrypt_verify | ( |  | ) |
| private slot

decrypt and verify the text of currently active textedit-page with the currently checked keys

References GpgFrontend::check_gpg_error_2_err_code(), GpgFrontend::UI::TextEdit::CurTextPage(), GpgFrontend::GpgBasicOperator::DecryptVerify(), edit_, GpgFrontend::SingletonFunctionObject< GpgBasicOperator >::GetInstance(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::import_unknown_key_from_keyserver(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::show_verify_details(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), SlotFileDecryptVerify(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_disable_tab_actions

void GpgFrontend::UI::MainWindow::slot_disable_tab_actions | ( | int | number | ) |
| private slot

Disable tab related actions, if number of tabs is 0.

Parameters

  number | number of the opened tabs and -1, if no tab is opened

References add_pgp_header_act_, append_selected_keys_act_, clean_double_line_breaks_act_, close_tab_act_, copy_act_, GpgFrontend::UI::TextEdit::CurFilePage(), cut_act_, cut_pgp_header_act_, decrypt_act_, decrypt_verify_act_, edit_, encrypt_act_, encrypt_sign_act_, find_act_, import_key_from_edit_act_, paste_act_, print_act_, quote_act_, redo_act_, save_act_, save_as_act_, select_all_act_, sign_act_, undo_act_, verify_act_, zoom_in_act_, and zoom_out_act_.

## ◆ slot_encrypt

void GpgFrontend::UI::MainWindow::slot_encrypt | ( |  | ) |
| private slot

encrypt the text of currently active textedit-page with the currently checked keys

Encrypt Entry(Text & File)

References GpgFrontend::check_gpg_error_2_err_code(), GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::GpgBasicOperator::Encrypt(), GpgFrontend::GpgBasicOperator::EncryptSymmetric(), GpgFrontend::UI::KeyList::GetChecked(), GpgFrontend::SingletonFunctionObject< GpgBasicOperator >::GetInstance(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKeys(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::InfoBoardWidget::ResetOptionActionsMenu(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), SlotFileEncrypt(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_encrypt_sign

void GpgFrontend::UI::MainWindow::slot_encrypt_sign | ( |  | ) |
| private slot

encrypt and sign the text of currently active textedit-page with the currently checked keys

References GpgFrontend::check_gpg_error_2_err_code(), GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::GpgBasicOperator::EncryptSign(), GpgFrontend::UI::KeyList::GetChecked(), GpgFrontend::SingletonFunctionObject< GpgBasicOperator >::GetInstance(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKeys(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::InfoBoardWidget::ResetOptionActionsMenu(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), SlotFileEncryptSign(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_find

void GpgFrontend::UI::MainWindow::slot_find | ( |  | ) |
| private slot

Open find widget.

References GpgFrontend::UI::PlainTextEditorPage::CloseNoteByClass(), GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::UI::PlainTextEditorPage::ShowNotificationWidget(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_import_key_from_edit

void GpgFrontend::UI::MainWindow::slot_import_key_from_edit | ( |  | ) |
| private slot

Import keys from currently active tab to keylist if possible.

References GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::UI::CommonUtils::GetInstance(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), GpgFrontend::UI::CommonUtils::SlotImportKeys(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_open_file_tab

void GpgFrontend::UI::MainWindow::slot_open_file_tab | ( |  | ) |
| private slot

Open File Opera Tab

References edit_, and GpgFrontend::UI::TextEdit::SlotNewFileTab().

Referenced by create_actions().

## ◆ slot_open_key_management

void GpgFrontend::UI::MainWindow::slot_open_key_management | ( |  | ) |
| private slot

Open key management dialog.

Referenced by create_actions().

## ◆ slot_open_settings_dialog

void GpgFrontend::UI::MainWindow::slot_open_settings_dialog | ( |  | ) |
| private slot

Open settings-dialog.

References GpgFrontend::UI::SettingsObject::Check(), edit_, get_restart_needed(), import_button_, GpgFrontend::UI::TextEdit::MaybeSaveAnyTab(), and save_settings().

Referenced by create_actions().

## ◆ slot_show_key_details

void GpgFrontend::UI::MainWindow::slot_show_key_details | ( |  | ) |
| private slot

Show the details of the first of the first of selected keys

References GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKey(), and GpgFrontend::UI::KeyList::GetSelected().

Referenced by create_actions().

## ◆ slot_sign

void GpgFrontend::UI::MainWindow::slot_sign | ( |  | ) |
| private slot

Sign the text of currently active tab with the checked private keys

References GpgFrontend::check_gpg_error_2_err_code(), GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::SingletonFunctionObject< GpgBasicOperator >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKeys(), GpgFrontend::UI::KeyList::GetPrivateChecked(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::GpgBasicOperator::Sign(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), SlotFileSign(), GpgFrontend::UI::TextEdit::SlotFillTextEditWithText(), and GpgFrontend::UI::TextEdit::TabCount().

Referenced by create_actions().

## ◆ slot_start_wizard

void GpgFrontend::UI::MainWindow::slot_start_wizard | ( |  | ) |
| private slot

start the wizard

Referenced by create_actions().

## ◆ slot_verify

void GpgFrontend::UI::MainWindow::slot_verify | ( |  | ) |
| private slot

Verify the text of currently active tab and show verify information. If document is signed with a key, which is not in keylist, show import missing key from keyserver in Menu of verifynotification.

References GpgFrontend::check_gpg_error_2_err_code(), GpgFrontend::UI::TextEdit::CurTextPage(), edit_, GpgFrontend::SingletonFunctionObject< GpgBasicOperator >::GetInstance(), GpgFrontend::UI::PlainTextEditorPage::GetTextPage(), GpgFrontend::UI::import_unknown_key_from_keyserver(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::show_verify_details(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), GpgFrontend::UI::TextEdit::SlotCurPageTextEdit(), SlotFileVerify(), GpgFrontend::UI::TextEdit::TabCount(), and GpgFrontend::GpgBasicOperator::Verify().

Referenced by create_actions().

## ◆ slot_version_upgrade

void GpgFrontend::UI::MainWindow::slot_version_upgrade | ( | const SoftwareVersion & | version | ) |
| private slot

called when need to upgrade.

References GpgFrontend::UI::SoftwareVersion::CurrentVersionReleased(), GpgFrontend::UI::SoftwareVersion::InfoValid(), GpgFrontend::UI::SoftwareVersion::NeedUpgrade(), and GpgFrontend::UI::SoftwareVersion::VersionWithDrawn().

## ◆ SlotFileDecrypt

void GpgFrontend::UI::MainWindow::SlotFileDecrypt | ( |  | ) |
| slot

Open dialog for decrypting file.

References GpgFrontend::GpgFileOpera::DecryptFile(), edit_, GpgFrontend::UI::FilePage::GetSelected(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::process_tarball_into_directory(), and GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView().

Referenced by slot_decrypt().

## ◆ SlotFileDecryptVerify

void GpgFrontend::UI::MainWindow::SlotFileDecryptVerify | ( |  | ) |
| slot

Open dialog for verifying file.

References GpgFrontend::GpgFileOpera::DecryptVerifyFile(), edit_, GpgFrontend::UI::FilePage::GetSelected(), GpgFrontend::UI::import_unknown_key_from_keyserver(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::process_tarball_into_directory(), GpgFrontend::UI::show_verify_details(), and GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView().

Referenced by slot_decrypt_verify().

## ◆ SlotFileEncrypt

void GpgFrontend::UI::MainWindow::SlotFileEncrypt | ( |  | ) |
| slot

Open dialog for encrypting file.

References edit_, GpgFrontend::GpgFileOpera::EncryptFile(), GpgFrontend::GpgFileOpera::EncryptFileSymmetric(), GpgFrontend::UI::KeyList::GetChecked(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKeys(), GpgFrontend::UI::FilePage::GetSelected(), GpgFrontend::GlobalSettingStation::LookupSettings(), GpgFrontend::UI::process_directory_into_tarball(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), and GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView().

Referenced by slot_encrypt().

## ◆ SlotFileEncryptSign

void GpgFrontend::UI::MainWindow::SlotFileEncryptSign | ( |  | ) |
| slot

Open dialog for signing file.

References edit_, GpgFrontend::GpgFileOpera::EncryptSignFile(), GpgFrontend::UI::KeyList::GetChecked(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKeys(), GpgFrontend::UI::FilePage::GetSelected(), GpgFrontend::GlobalSettingStation::LookupSettings(), GpgFrontend::UI::process_directory_into_tarball(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), and GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView().

Referenced by slot_encrypt_sign().

## ◆ SlotFileSign

void GpgFrontend::UI::MainWindow::SlotFileSign | ( |  | ) |
| slot

Open dialog for signing file.

References edit_, GpgFrontend::UI::KeyList::GetChecked(), GpgFrontend::SingletonFunctionObject< GpgKeyGetter >::GetInstance(), GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::GpgKeyGetter::GetKeys(), GpgFrontend::UI::FilePage::GetSelected(), GpgFrontend::GlobalSettingStation::LookupSettings(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::GpgFileOpera::SignFile(), and GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView().

Referenced by slot_sign().

## ◆ SlotFileVerify

void GpgFrontend::UI::MainWindow::SlotFileVerify | ( |  | ) |
| slot

Open dialog for verifying file.

References edit_, GpgFrontend::SingletonFunctionObject< GlobalSettingStation >::GetInstance(), GpgFrontend::UI::FilePage::GetSelected(), GpgFrontend::UI::import_unknown_key_from_keyserver(), GpgFrontend::GlobalSettingStation::LookupSettings(), GpgFrontend::UI::process_operation(), GpgFrontend::UI::process_result_analyse(), GpgFrontend::UI::show_verify_details(), GpgFrontend::UI::TextEdit::SlotCurPageFileTreeView(), and GpgFrontend::GpgFileOpera::VerifyFile().

Referenced by slot_verify().

## ◆ SlotOpenFile

void GpgFrontend::UI::MainWindow::SlotOpenFile | ( | QString & | path | ) |
| slot

Open a new tab for path

References edit_, and GpgFrontend::UI::TextEdit::SlotOpenFile().

## ◆ SlotSetRestartNeeded

void GpgFrontend::UI::MainWindow::SlotSetRestartNeeded | ( | int | mode | ) |
| slot

get value of member restartNeeded to needed.

Parameters

  needed | true, if application has to be restarted

Referenced by GpgFrontend::UI::SettingsDialog::SettingsDialog().

## ◆ upload_key_to_server

void GpgFrontend::UI::MainWindow::upload_key_to_server | ( |  | ) |
| private slot

upload the selected key to the keyserver

References GpgFrontend::UI::KeyList::GetSelected().

## Member Data Documentation

## ◆ clean_double_line_breaks_act_

QAction* GpgFrontend::UI::MainWindow::clean_double_line_breaks_act_ {}
| private

Action to remove double line breaks

Referenced by create_actions(), create_menus(), create_tool_bars(), and slot_disable_tab_actions().

## ◆ copy_mail_address_to_clipboard_act_

QAction* GpgFrontend::UI::MainWindow::copy_mail_address_to_clipboard_act_ {}
| private

Action to copy mail to clipboard

Referenced by create_actions().

The documentation for this class was generated from the following files:

- src/ui/main_window/MainWindow.h
- src/ui/main_window/MainWindow.cpp
- src/ui/main_window/MainWindowFileSlotFunction.cpp
- src/ui/main_window/MainWindowSlotFunction.cpp
- src/ui/main_window/MainWindowSlotUI.cpp
- src/ui/main_window/MainWindowUI.cpp